DROP INDEX $SCHEMA$."PI_PROCESS_STATE";

DROP INDEX $SCHEMA$."PI_PTID_TIMES_OU";

DROP INDEX $SCHEMA$."PI_PTID_BDB_ORG";

DROP INDEX $SCHEMA$."PI_PTID_BDB_USER";

CREATE INDEX $SCHEMA$."PI_STATE_PTID" ON $SCHEMA$."PROCESS_INST"("PI_PROCESS_PTID", "PI_STATE");

CREATE UNIQUE INDEX $SCHEMA$."PI_WORKFLOW" ON $SCHEMA$."PROCESS_INST" (PI_PROCESS_PTID ASC, PI_STATE ASC,PI_PIID ASC) INCLUDE (PI_ACC_COST DESC, PI_ACC_WD DESC, PI_FIXED_COST DESC, PI_RUN_AI_COUNT DESC,  PI_RUNNING_COST   DESC, PI_SNAPSHOT_TIME DESC, PI_START_TIME DESC, PI_COMPLETE_TIME DESC, PI_PROCESS_PID DESC, PI_NAME DESC);

CREATE UNIQUE INDEX $SCHEMA$."BUSINESSDB1" ON $SCHEMA$."PROCESS_INST" (PI_PROCESS_PTID ASC, PI_COMPLETE_TIME ASC, PI_OU_NAME ASC, PI_PIID) INCLUDE (PI_ACC_COST, PI_ACC_WD, PI_FIXED_COST, PI_RUN_AI_COUNT, PI_RUNNING_COST, PI_SNAPSHOT_TIME, PI_START_TIME);

CREATE UNIQUE INDEX $SCHEMA$."BUSINESSDB2" ON $SCHEMA$."PROCESS_INST" (PI_PROCESS_PTID ASC, PI_COMPLETE_TIME ASC, PI_USER_NAME ASC, PI_PIID) INCLUDE (PI_ACC_COST, PI_ACC_WD, PI_FIXED_COST, PI_RUN_AI_COUNT, PI_RUNNING_COST, PI_SNAPSHOT_TIME, PI_START_TIME);

CREATE INDEX $SCHEMA$."BUSINESSDB3" ON $SCHEMA$."PROCESS_INST"("PI_PROCESS_PTID", "PI_COMPLETE_TIME", "PI_OU_NAME", "PI_START_TIME");

CREATE INDEX $SCHEMA$."BUSINESSDB4" ON $SCHEMA$."PROCESS_INST"("PI_PROCESS_PTID", "PI_COMPLETE_TIME", "PI_USER_NAME", "PI_START_TIME");

CREATE INDEX $SCHEMA$."BUSINESSDB5" ON $SCHEMA$."PROCESS_INST"("PI_START_TIME", "PI_PROCESS_PTID", "PI_OU_NAME", "PI_COMPLETE_TIME");

CREATE INDEX $SCHEMA$."BUSINESSDB6" ON $SCHEMA$."PROCESS_INST"("PI_START_TIME", "PI_PROCESS_PTID", "PI_USER_NAME", "PI_COMPLETE_TIME");

CREATE INDEX $SCHEMA$."BUSINESSDB7" ON $SCHEMA$."PROCESS_INST"("PI_COMPLETE_TIME", "PI_START_TIME", "PI_PROCESS_PTID", "PI_OU_NAME");

CREATE INDEX $SCHEMA$."BUSINESSDB8" ON $SCHEMA$."PROCESS_INST"("PI_COMPLETE_TIME", "PI_START_TIME", "PI_PROCESS_PTID", "PI_USER_NAME");

RUNSTATS ON TABLE $SCHEMA$."PROCESS_INST" and INDEXES ALL;

CREATE INDEX $SCHEMA$."AI_ACTIVITY_IND" ON $SCHEMA$."ACTIVITY_INST"("AI_ACTIVITY_PID", "AI_ACTIVITY_AID", "AI_STATE", "AI_AIID", "AI_INSTANCE_NAME");

RUNSTATS ON TABLE $SCHEMA$."ACTIVITY_INST" and INDEXES ALL;

DROP INDEX $SCHEMA$."DELAYED_CONTEXTID";

CREATE INDEX $SCHEMA$."DELAYED_CONTEXTID" ON $SCHEMA$."DELAYED_EVENTS"("QUEUEID", "CONTEXTID", "TRIAL_NUMBER");

RUNSTATS ON TABLE $SCHEMA$."DELAYED_EVENTS" and INDEXES ALL;

UPDATE $SCHEMA$."SCHEMA_HEADER" SET VERSION = 52;

COMMIT;